openshot::BaseException Class Reference

Base exception class with a custom message variable. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::BaseException:

## Public Member Functions

| BaseException (string message)
virtual const char * | what () const throw ()
virtual | ~BaseException () throw ()

## Protected Attributes

string | m_message

## Detailed Description

Base exception class with a custom message variable.

A custom error message field has been added to the std::exception base class. All OpenShot exception classes inherit from this class.

Definition at line 42 of file Exceptions.h.

## Constructor & Destructor Documentation

## BaseException()

openshot::BaseException::BaseException | ( | string | message | ) |

inline

Definition at line 47 of file Exceptions.h.

## ~BaseException()

virtual openshot::BaseException::~BaseException | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 48 of file Exceptions.h.

## Member Function Documentation

## what()

virtual const char* openshot::BaseException::what | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Definition at line 49 of file Exceptions.h.

## Member Data Documentation

## m_message

string openshot::BaseException::m_message

protected

Definition at line 45 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h